// (c) Copyright 2011-2012 Cloudera, Inc. All rights reserved.
define([
	"cloudera/chart/AnyStockLineChartBase"
], function(AnyStockLineChartBase) {

/**
 * A basic line chart for debugging.
 */
return AnyStockLineChartBase.extend({

	init: function(options, id) {

		this.id = id;
		this.options = options;

		new Request({
			url: this.options.url,
			method: 'get',
			onSuccess: function(txt){

				var chart = createAnyChartStock();
				var config = JSON.decode(txt);
				chart.setConfig(config);

				this._addCallbacks(chart);
				this.chart = chart;

				chart.write(this.id);

			}.bind(this)
		}).send();
		chart.write(this.id);
	},

	onChartDraw: function() {
		this.endDate = this.options.endDate;
		this.startDate = this.options.startDate;
		this.zoomTo(this.startDate, this.endDate);
	}
});

});
